﻿///
//  ILoad v 1.102
//  Russell Lowke, September 9th 2010
//  for use with ActionScript 3 (AS3, Flex SDK 3.2, Flash Player 9)
// 
//  Copyright (c) 2008-2010 Russell Lowke
//  see http://www.lowkemedia.com for more information
// 
//  Permission is hereby granted, free of charge, to any person obtaining a 
//  copy of this software and associated documentation files (the "Software"), 
//  to deal in the Software without restriction, including without limitation 
//  the rights to use, copy, modify, merge, publish, distribute, sublicense, 
//  and/or sell copies of the Software, and to permit persons to whom the 
//  Software is furnished to do so, subject to the following conditions:
// 
//  The above copyright notice and this permission notice shall be included in 
//  all copies or substantial portions of the Software.
// 
//  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
//  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS 
//  IN THE SOFTWARE. 
//
//

package com.lowke.utils.as3.assetLoader.loaders 
{   
    import flash.events.Event;
    import flash.events.IEventDispatcher;
  
    public interface ILoad extends IEventDispatcher 
    {
        // functions required for an AssetLoader Loader
        
        function createLoader():void;
        function fileLoaded(evt:Event):void;                // called when loader finished, for override by specific loaders
        function cleanup():void;                            // called by dispose(), for override by specific loaders
        function dispose(retry:Boolean = false):void        // called when loader finished loading, retrying, or closed prematurely with close()
        function close():void;                              // called when loader closed prematurely before loading finished

        function get percentDone():Number;
        function get id():uint;
        function get url():String;
        
    }
}